# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2018-11-29 14:29
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Feedback',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('read', models.IntegerField(blank=True, default=0, null=True)),
                ('status', models.CharField(blank=True, choices=[('AP', 'Aprobada'), ('ME', 'Mensaje'), ('RE', 'Rechazada'), ('AS', 'Asignacion'), ('MI', 'Minuta'), ('RP', 'Reprobado')], max_length=2, null=True)),
                ('description', models.TextField(max_length=300)),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='m_author', to='core.UserProfile')),
                ('author_s', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='author_student', to='core.Student')),
            ],
        ),
        migrations.CreateModel(
            name='Glosa',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('carreer', models.IntegerField(blank=True, null=True)),
                ('description', models.TextField(blank=True, max_length=5000, null=True)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.UserProfile')),
            ],
        ),
        migrations.CreateModel(
            name='HistoricalMinutaEvidence',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('author_type', models.CharField(choices=[('AL', 'Alumno'), ('DO', 'Docente')], default='AL', max_length=2)),
                ('topic', models.CharField(default='', max_length=200, null=True)),
                ('description', models.CharField(default='', max_length=2000, null=True)),
                ('last_mod', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('author', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
                'verbose_name': 'historical minuta evidence',
            },
        ),
        migrations.CreateModel(
            name='Minuta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_type', models.CharField(choices=[('AL', 'Alumno'), ('DO', 'Docente')], default='AL', max_length=2)),
                ('reunion_date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('reunion_theme', models.CharField(blank=True, max_length=400)),
                ('last_mod', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('external_visit', models.CharField(default='', max_length=500)),
                ('data_file', models.FileField(blank=True, null=True, upload_to='Minutas/')),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('status', models.CharField(choices=[('AT', 'Atrasada'), ('RM', 'Revisando Minuta'), ('EM', 'Espera Minuta'), ('ER', 'Espera Reunion'), ('PE', 'Pendientes'), ('AP', 'Aprobada'), ('RE', 'Rechazada')], default='PE', max_length=2)),
                ('author', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('invited_stud', models.ManyToManyField(blank=True, to='core.Student')),
                ('invited_user', models.ManyToManyField(blank=True, to='core.UserProfile')),
            ],
        ),
        migrations.CreateModel(
            name='MinutaComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_type', models.CharField(choices=[('AL', 'Alumno'), ('DO', 'Docente')], default='AL', max_length=2)),
                ('comment', models.TextField(max_length=200)),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('minuta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Minuta')),
            ],
        ),
        migrations.CreateModel(
            name='MinutaEvidence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_type', models.CharField(choices=[('AL', 'Alumno'), ('DO', 'Docente')], default='AL', max_length=2)),
                ('topic', models.CharField(default='', max_length=200, null=True)),
                ('description', models.CharField(default='', max_length=2000, null=True)),
                ('last_mod', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('author', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('minuta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Minuta')),
            ],
        ),
        migrations.CreateModel(
            name='MinutaRetro',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(blank=True, max_length=1000, null=True)),
                ('read', models.IntegerField(default=0)),
                ('minuta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Minuta')),
            ],
        ),
        migrations.CreateModel(
            name='MinutaValidation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_mod', models.DateTimeField(default=django.utils.timezone.now)),
                ('comment', models.CharField(default='', max_length=400)),
                ('validation_status', models.CharField(choices=[('PE', 'Pendiente'), ('NR', 'No Responde'), ('AP', 'Aprobada'), ('RE', 'Rechazada')], default='PE', max_length=2)),
                ('minuta', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Minuta')),
                ('student', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Student')),
            ],
        ),
        migrations.CreateModel(
            name='Postulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('last_mod', models.DateTimeField(blank=True, null=True)),
                ('status', models.CharField(choices=[('PE', 'Pendiente'), ('AP', 'Aprobada'), ('RE', 'Rechazada'), ('PR', 'Pre-Postulation')], default='PE', max_length=2)),
                ('last_mod_user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.UserProfile')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('project_image', models.ImageField(blank=True, default='img/logo_unab.png', null=True, upload_to='project_img')),
                ('vacancy_total', models.PositiveIntegerField(null=True)),
                ('vacancy_available', models.PositiveIntegerField(null=True)),
                ('section', models.PositiveIntegerField(blank=True, null=True)),
                ('cloud', models.CharField(blank=True, max_length=300)),
                ('desem_grade', models.IntegerField(default=0)),
                ('description', models.TextField(max_length=5000)),
                ('year', models.PositiveIntegerField(blank=True, null=True)),
                ('final_grade', models.IntegerField(default=0)),
                ('period', models.CharField(blank=True, choices=[('10', 'Primer Semestre'), ('20', 'Segundo Semestre'), ('05', 'Primer Trimestre'), ('15', 'Segundo Trimestre'), ('25', 'Tercer Trimestre')], default='00', max_length=2, null=True)),
                ('carreer', models.IntegerField(blank=True, null=True)),
                ('status', models.CharField(choices=[('ER', 'Revision'), ('AC', 'Aceptado'), ('RE', 'Rechazado'), ('EC', 'En Curso'), ('AP', 'Aprobado'), ('RP', 'Reprobado'), ('TE', 'Terminado'), ('CA', 'Caducado'), ('ED', 'En espera de Docente')], default='ER', max_length=2)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='author', to='core.UserProfile')),
                ('guide_teacher', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='guide_teacher', to='core.UserProfile')),
                ('shared_teachers', models.ManyToManyField(blank=True, related_name='share_teacher', to='core.UserProfile')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectHistoric',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(blank=True, choices=[('AP', 'Aprobado'), ('RE', 'Reprobado')], max_length=2, null=True)),
                ('evaluationComment', models.CharField(blank=True, max_length=1000)),
                ('project', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project')),
                ('students', models.ManyToManyField(to='core.Student')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Teacher_Postulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(blank=True, default=django.utils.timezone.now, null=True)),
                ('last_mod', models.DateTimeField(blank=True, null=True)),
                ('status', models.CharField(choices=[('PE', 'Pendiente'), ('AP', 'Aprobada'), ('RE', 'Rechazada'), ('AS', 'Asignacion')], default='PE', max_length=2)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='autor', to='core.UserProfile')),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project')),
                ('teacher', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='teacher', to='core.UserProfile')),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='tags',
            field=models.ManyToManyField(blank=True, to='projects.Tag'),
        ),
        migrations.AddField(
            model_name='postulation',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='postulation',
            name='student',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Student'),
        ),
        migrations.AddField(
            model_name='minuta',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='historicalminutaevidence',
            name='minuta',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='projects.Minuta'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='minuta',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Minuta'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='postulation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Postulation'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='receipt',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='m_receipt', to='core.UserProfile'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='receipt_student',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ms_receipt', to='core.Student'),
        ),
        migrations.AddField(
            model_name='feedback',
            name='t_postulation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Teacher_Postulation'),
        ),
    ]
